Subject: Re: [PATCH] module: ppc64 module CRC relocation fix causes perf issues

From: Scott Wood <[email-masked]>
Date: Wed, 24 Jul 2013 14:22:53 -0500

On 07/23/2013 08:30:32 AM, Michael Ellerman wrote:
> On Fri, Jul 19, 2013 at 05:59:30PM -0500, Scott Wood wrote:
> > On 07/17/2013 11:00:45 PM, Anton Blanchard wrote:
> > >
> > >Hi Scott,
> > >
> > >> What specifically should I do to test it?
> > >
> > >Could you double check perf annotate works? I'm 99% sure it will =20
> but
> > >that is what was failing on ppc64.
> >
> > I'm not really sure what it's supposed to look like when "perf
> > annotate" works.  It spits a bunch of unreadable[1]
> > dark-blue-on-black assembly code at me, all with "0.00 :" in the
> > left column.
> >
> > Oh, wait -- some lines have "100.00 : " on the left, in
> > even-more-unreadable dark-red-on-black.
> >
> > Apart from the annoying colors, is there anything specific I should
> > be looking for?  Some sort of error message, or output that actually
> > makes sense?
>=20
> The colours look fine on my terminal, so I don't know what you've done
> there.

It probably looks better if the terminal is configured to have a light =20
background (which of course makes some other programs look worse), or =20
(as I noted) if you've got your monitor set to be very bright.  I now =20
see that xfce4-terminal lets me redefine the standard colors, though, =20
so that should help.

> If you care you can use "--stdio" to use the plainer interface,
> though it still uses colours.
>=20
> That output looks fine in terms of the bug Anton was chasing. As far =20
> as
> only ever hitting one instruction that does look weird.

OK.  I'll add "investigate weird e500 perf annotate results" to the =20
TODO list...

-Scott=